## ros-noetic-grpc 0.0.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8.2)
include(ExternalProject)
project(grpc)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED)

catkin_package(
  CFG_EXTRAS generate_proto.cmake
)

find_program(RSYNC rsync)
if(NOT RSYNC)
  message(SEND_ERROR "Cannot find rsync.")
endif(NOT RSYNC)

ExternalProject_Add(
  build_grpc
  PREFIX grpc
  GIT_REPOSITORY "https://github.com/grpc/grpc.git"
  GIT_TAG v1.34.1
  GIT_CONFIG submodule.recurse=1 submodule.fetchJobs=10
  GIT_SHALLOW 1
  SOURCE_DIR grpc_build
  CONFIGURE_COMMAND ""
  BUILD_IN_SOURCE 1
  BUILD_COMMAND $(MAKE) CONFIG=opt EMBED_ZLIB=true
  INSTALL_COMMAND ""
)

set(GRPC_INCLUDE_DESTINATION
    ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}/grpc)
set(GRPC_LIB_DESTINATION
    ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION})
set(GRPC_BIN_DESTINATION
    ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_BIN_DESTINATION})

add_custom_command(
  TARGET build_grpc
  POST_BUILD
  COMMAND ${CMAKE_COMMAND} -E make_directory ${GRPC_INCLUDE_DESTINATION}
  COMMAND ${CMAKE_COMMAND} -E make_directory ${GRPC_LIB_DESTINATION}
  COMMAND ${CMAKE_COMMAND} -E make_directory ${GRPC_BIN_DESTINATION}
  COMMAND
    ${RSYNC}
      --prune-empty-dirs --archive
      ${CMAKE_CURRENT_BINARY_DIR}/grpc_build/libs/opt/
      ${GRPC_LIB_DESTINATION}/
  COMMAND
    ${RSYNC}
      --prune-empty-dirs --archive
      ${CMAKE_CURRENT_BINARY_DIR}/grpc_build/bins/opt/
      ${GRPC_BIN_DESTINATION}/
  COMMAND
    ${CMAKE_COMMAND} -E make_directory ${GRPC_INCLUDE_DESTINATION}/src/proto
  COMMAND
    ${RSYNC}
      --prune-empty-dirs --archive
      --include="*/" --include="*.proto" --exclude="*"
      ${CMAKE_CURRENT_BINARY_DIR}/grpc_build/src/proto/
      ${GRPC_INCLUDE_DESTINATION}/src/proto/
  COMMAND
    ${RSYNC}
      --prune-empty-dirs --archive
      --include="*/" --include="*.h" --exclude="*"
      ${CMAKE_CURRENT_BINARY_DIR}/grpc_build/gens/src/proto/
      ${GRPC_INCLUDE_DESTINATION}/src/proto/
  COMMAND
    ${RSYNC}
      --prune-empty-dirs --archive
      --include="*/" --include="*.h" --exclude="*"
      ${CMAKE_CURRENT_BINARY_DIR}/grpc_build/include/
      ${GRPC_INCLUDE_DESTINATION}/
  COMMAND
    ${RSYNC}
      --prune-empty-dirs --archive
      --include="*/" --include="*.h" --include="*.inc" --include="*.proto" --exclude="*"
      ${CMAKE_CURRENT_BINARY_DIR}/grpc_build/third_party/protobuf/src/
      ${GRPC_INCLUDE_DESTINATION}/
)

install(
  DIRECTORY
    ${GRPC_INCLUDE_DESTINATION}/google
    ${GRPC_INCLUDE_DESTINATION}/grpc
    ${GRPC_INCLUDE_DESTINATION}/grpc++
    ${GRPC_INCLUDE_DESTINATION}/grpcpp
    ${GRPC_INCLUDE_DESTINATION}/src
  USE_SOURCE_PERMISSIONS
  DESTINATION
    ${CMAKE_INSTALL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}/grpc)
install(
  DIRECTORY ${GRPC_LIB_DESTINATION}/
  USE_SOURCE_PERMISSIONS
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION})
install(
  DIRECTORY ${GRPC_BIN_DESTINATION}/
  USE_SOURCE_PERMISSIONS
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-noetic-grpc (0.0.11-1buster) buster; urgency=high

  * Update package.xml
  * Fix build failure (#45 <https://github.com/CogRob/catkin_grpc/issues/45>)
  * Update package.xml (#44 <https://github.com/CogRob/catkin_grpc/issues/44>)
  * Support finding libraries for grpc v1.34.1 (#43 <https://github.com/CogRob/catkin_grpc/issues/43>)
  * Bump grpc version to v1.34.1 for supporting noetic (#42 <https://github.com/CogRob/catkin_grpc/issues/42>)
    * use git to fetch external project grpc
    * bump grpc version to v1.34.1
    Co-authored-by: Shengye Wang <mailto:BillWSY@users.noreply.github.com>
  * use git to fetch external project grpc (#41 <https://github.com/CogRob/catkin_grpc/issues/41>)
    * use git to fetch external project grpc
    * Specify Cmake version for using GIT_REPOSITORY and GIT_CONFIG
    Co-authored-by: Shengye Wang <mailto:BillWSY@users.noreply.github.com>
  * use absolute path for RELATIVE_BASE_DIR (#37 <https://github.com/CogRob/catkin_grpc/issues/37>)
  * Contributors: JaeyoungLim, Shengye Wang, Tom Lankhorst, Yuki Furuta

 -- Shengye Wang <shengye@ucsd.edu>  Wed, 01 Jun 2022 15:00:00 -0000

ros-noetic-grpc (0.0.10-1buster) buster; urgency=high

  * Follow upstream grpc 1.15.1 (#33 <https://github.com/CogRob/catkin_grpc/issues/33>)
    * Sync grpc to upstream 1.15.1
    * Typo fix
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Tue, 25 Sep 2018 15:00:00 -0000

ros-noetic-grpc (0.0.9-1buster) buster; urgency=high

  * Fixed missing grpc++_core_stats library. It is a new library generated by gRPC.
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Tue, 17 Apr 2018 15:00:00 -0000

ros-noetic-grpc (0.0.8-1buster) buster; urgency=high

  * Install grpcpp headers which was missing.
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Tue, 17 Apr 2018 15:00:00 -0000

ros-noetic-grpc (0.0.7-1buster) buster; urgency=high

  * Update git tags to third party repos (#27 <https://github.com/CogRob/catkin_grpc/issues/27>)
  * Contributors: bikramak

 -- Shengye Wang <shengye@ucsd.edu>  Tue, 17 Apr 2018 15:00:00 -0000

ros-noetic-grpc (0.0.6-1buster) buster; urgency=high

  * Depend on zlib (#23 <https://github.com/CogRob/catkin_grpc/issues/23>) and link protobuf with zlib (#22 <https://github.com/CogRob/catkin_grpc/issues/22>) (#24 <https://github.com/CogRob/catkin_grpc/issues/24>)
  * Depend on absolute path of .proto file (#21 <https://github.com/CogRob/catkin_grpc/issues/21>)
    This should fix #20 <https://github.com/CogRob/catkin_grpc/issues/20>. The original concern was for some reason cmake re-generate protos if .proto is not within src. Initial test shows this is not the case, but should do more tests.
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Sun, 19 Nov 2017 15:00:00 -0000

ros-noetic-grpc (0.0.5-1buster) buster; urgency=high

  * Fixes a problem in default SRC_BASE (#18 <https://github.com/CogRob/catkin_grpc/issues/18>)
    * Fix an issue when package directory is not the same as package name, protoc fails to generate files in the correct path
    * Improve the copy src/proto command
    * Revert "Improve the copy src/proto command"
    This reverts commit adfca498b7b3b00fb4c350675d3b4dbcb154fe75.
    * Fixes a problem that src in include is not installed
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Thu, 05 Oct 2017 15:00:00 -0000

ros-noetic-grpc (0.0.4-1buster) buster; urgency=high

  * Adds INCLUDE_DIRS and expose grpc/src/proto (#14 <https://github.com/CogRob/catkin_grpc/issues/14>)
    * Allows generate_proto to have specify include_dirs
    * Allow grpc's build-in protos to be used by clients
  * Minor documentation fix. (#13 <https://github.com/CogRob/catkin_grpc/issues/13>)
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Sun, 01 Oct 2017 15:00:00 -0000

ros-noetic-grpc (0.0.3-1buster) buster; urgency=high

  * Allows CMake to choose dynamic/static linking on grpc libraries
  * Some fix to grpc package. (#11 <https://github.com/CogRob/catkin_grpc/issues/11>)
    * Use all embedded third_party software, use grpc 1.6.x, use all static linking to avoid conflicts, move include dir
    * Use HTTPS download instead of GIT to speedup downloading
    * Missing libs
    * Adds boringssl with Bazel in third_party
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Fri, 29 Sep 2017 15:00:00 -0000

ros-noetic-grpc (0.0.2-1buster) buster; urgency=high

  * Lower version requirement for cmake so that the package can be built under
    trusty.
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Mon, 04 Sep 2017 15:00:00 -0000

ros-noetic-grpc (0.0.1-1buster) buster; urgency=high

  * Pre-release commit. (#1 <https://github.com/CogRob/catkin_grpc/issues/1>)
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Sun, 03 Sep 2017 15:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-grpc//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-grpc 0.0.12

=== debian/changelog ===
ros-noetic-grpc (0.0.12-2focal) focal; urgency=high

  * Removed cronet dependencies (#47 <https://github.com/CogRob/catkin_grpc/issues/47>)
  * Contributors: Friedrich M. Rockenbauer

 -- Shengye Wang <shengye@ucsd.edu>  Thu, 11 May 2023 07:00:00 -0000

ros-noetic-grpc (0.0.11-2focal) focal; urgency=high

  * Update package.xml
  * Fix build failure (#45 <https://github.com/CogRob/catkin_grpc/issues/45>)
  * Update package.xml (#44 <https://github.com/CogRob/catkin_grpc/issues/44>)
  * Support finding libraries for grpc v1.34.1 (#43 <https://github.com/CogRob/catkin_grpc/issues/43>)
  * Bump grpc version to v1.34.1 for supporting noetic (#42 <https://github.com/CogRob/catkin_grpc/issues/42>)
    * use git to fetch external project grpc
    * bump grpc version to v1.34.1
    Co-authored-by: Shengye Wang <mailto:BillWSY@users.noreply.github.com>
  * use git to fetch external project grpc (#41 <https://github.com/CogRob/catkin_grpc/issues/41>)
    * use git to fetch external project grpc
    * Specify Cmake version for using GIT_REPOSITORY and GIT_CONFIG
    Co-authored-by: Shengye Wang <mailto:BillWSY@users.noreply.github.com>
  * use absolute path for RELATIVE_BASE_DIR (#37 <https://github.com/CogRob/catkin_grpc/issues/37>)
  * Contributors: JaeyoungLim, Shengye Wang, Tom Lankhorst, Yuki Furuta

 -- Shengye Wang <shengye@ucsd.edu>  Thu, 02 Jun 2022 07:00:00 -0000

ros-noetic-grpc (0.0.10-2focal) focal; urgency=high

  * Follow upstream grpc 1.15.1 (#33 <https://github.com/CogRob/catkin_grpc/issues/33>)
    * Sync grpc to upstream 1.15.1
    * Typo fix
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Wed, 26 Sep 2018 07:00:00 -0000

ros-noetic-grpc (0.0.9-2focal) focal; urgency=high

  * Fixed missing grpc++_core_stats library. It is a new library generated by gRPC.
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Wed, 18 Apr 2018 07:00:00 -0000

ros-noetic-grpc (0.0.8-2focal) focal; urgency=high

  * Install grpcpp headers which was missing.
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Wed, 18 Apr 2018 07:00:00 -0000

ros-noetic-grpc (0.0.7-2focal) focal; urgency=high

  * Update git tags to third party repos (#27 <https://github.com/CogRob/catkin_grpc/issues/27>)
  * Contributors: bikramak

 -- Shengye Wang <shengye@ucsd.edu>  Wed, 18 Apr 2018 07:00:00 -0000

ros-noetic-grpc (0.0.6-2focal) focal; urgency=high

  * Depend on zlib (#23 <https://github.com/CogRob/catkin_grpc/issues/23>) and link protobuf with zlib (#22 <https://github.com/CogRob/catkin_grpc/issues/22>) (#24 <https://github.com/CogRob/catkin_grpc/issues/24>)
  * Depend on absolute path of .proto file (#21 <https://github.com/CogRob/catkin_grpc/issues/21>)
    This should fix #20 <https://github.com/CogRob/catkin_grpc/issues/20>. The original concern was for some reason cmake re-generate protos if .proto is not within src. Initial test shows this is not the case, but should do more tests.
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Mon, 20 Nov 2017 08:00:00 -0000

ros-noetic-grpc (0.0.5-2focal) focal; urgency=high

  * Fixes a problem in default SRC_BASE (#18 <https://github.com/CogRob/catkin_grpc/issues/18>)
    * Fix an issue when package directory is not the same as package name, protoc fails to generate files in the correct path
    * Improve the copy src/proto command
    * Revert "Improve the copy src/proto command"
    This reverts commit adfca498b7b3b00fb4c350675d3b4dbcb154fe75.
    * Fixes a problem that src in include is not installed
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Fri, 06 Oct 2017 07:00:00 -0000

ros-noetic-grpc (0.0.4-2focal) focal; urgency=high

  * Adds INCLUDE_DIRS and expose grpc/src/proto (#14 <https://github.com/CogRob/catkin_grpc/issues/14>)
    * Allows generate_proto to have specify include_dirs
    * Allow grpc's build-in protos to be used by clients
  * Minor documentation fix. (#13 <https://github.com/CogRob/catkin_grpc/issues/13>)
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Mon, 02 Oct 2017 07:00:00 -0000

ros-noetic-grpc (0.0.3-2focal) focal; urgency=high

  * Allows CMake to choose dynamic/static linking on grpc libraries
  * Some fix to grpc package. (#11 <https://github.com/CogRob/catkin_grpc/issues/11>)
    * Use all embedded third_party software, use grpc 1.6.x, use all static linking to avoid conflicts, move include dir
    * Use HTTPS download instead of GIT to speedup downloading
    * Missing libs
    * Adds boringssl with Bazel in third_party
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Sat, 30 Sep 2017 07:00:00 -0000

ros-noetic-grpc (0.0.2-2focal) focal; urgency=high

  * Lower version requirement for cmake so that the package can be built under
    trusty.
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Tue, 05 Sep 2017 07:00:00 -0000

ros-noetic-grpc (0.0.1-2focal) focal; urgency=high

  * Pre-release commit. (#1 <https://github.com/CogRob/catkin_grpc/issues/1>)
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Mon, 04 Sep 2017 07:00:00 -0000

=== debian/control ===
Source: ros-noetic-grpc
Section: misc
Priority: optional
Maintainer: Shengye Wang <shengye@ucsd.edu>
Build-Depends: debhelper (>= 9.0.0), autoconf, git, libltdl-dev, libtool, libtool-bin, ros-noetic-catkin, rsync, zlib1g-dev
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-grpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rsync
Description: Catkinized gRPC Package
